# Interface RawTextTree

All Superinterfaces:
  `DocTree`

public interface RawTextTree extends DocTree
A tree node for a fragment of uninterpreted raw text content.

The content may contain any text except that for inline tags.

The format of the content is indicated by the kind of the tree node.

API Note:
  This class may be used to represent tree nodes containing Markdown text. Such nodes will typically exist in a list of `DocTree` nodes, along with other kinds of `DocTree` nodes, such as for inline tags. When processing any such list, any non-Markdown nodes will be processed recursively first, and then treated as opaque objects within the remaining stream of Markdown nodes. Thus, the content of any non-Markdown nodes will not affect how the Markdown nodes will be processed.
Since:
  23

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContent()`
Returns the content.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getContent

String getContent()
Returns the content.

Returns:
  the content